ansible-lint-3.3.3-1.fc25.noarch.rpm


Advertisement

Description

ansible-lint - Best practices checker for Ansible

Property Value
Distribution Fedora 25
Repository Fedora i386
Package name ansible-lint
Package version 3.3.3
Package release 1.fc25
Package architecture noarch
Package type rpm
Installed size 114.43 KB
Download size 46.34 KB
Official Mirror dl.fedoraproject.org
Checks playbooks for practices and behavior that could potentially be improved

Alternatives

Package Version Architecture Repository
ansible-lint-3.4.17-1.fc25.noarch.rpm 3.4.17 noarch Fedora Updates
ansible-lint-3.4.17-1.fc25.noarch.rpm 3.4.17 noarch Fedora Updates
ansible-lint-3.3.3-1.fc25.noarch.rpm 3.3.3 noarch Fedora
ansible-lint - - -

Requires

Name Value
/usr/bin/python2 -
ansible -
python(abi) = 2.7

Provides

Name Value
ansible-lint = 3.3.3-1.fc25
python2.7dist(ansible-lint) = 3.3.3
python2dist(ansible-lint) = 3.3.3

Download

Type URL
Binary Package ansible-lint-3.3.3-1.fc25.noarch.rpm
Source Package ansible-lint-3.3.3-1.fc25.src.rpm

Install Howto

Install the ansible-lint rpm package:

# dnf install ansible-lint

Files

Path
/usr/bin/ansible-lint
/usr/lib/python2.7/site-packages/ansible_lint-3.3.3-py2.7.egg-info/PKG-INFO
/usr/lib/python2.7/site-packages/ansible_lint-3.3.3-py2.7.egg-info/SOURCES.txt
/usr/lib/python2.7/site-packages/ansible_lint-3.3.3-py2.7.egg-info/dependency_links.txt
/usr/lib/python2.7/site-packages/ansible_lint-3.3.3-py2.7.egg-info/not-zip-safe
/usr/lib/python2.7/site-packages/ansible_lint-3.3.3-py2.7.egg-info/requires.txt
/usr/lib/python2.7/site-packages/ansible_lint-3.3.3-py2.7.egg-info/top_level.txt
/usr/lib/python2.7/site-packages/ansiblelint/__init__.py
/usr/lib/python2.7/site-packages/ansiblelint/__init__.pyc
/usr/lib/python2.7/site-packages/ansiblelint/__init__.pyo
/usr/lib/python2.7/site-packages/ansiblelint/utils.py
/usr/lib/python2.7/site-packages/ansiblelint/utils.pyc
/usr/lib/python2.7/site-packages/ansiblelint/utils.pyo
/usr/lib/python2.7/site-packages/ansiblelint/version.py
/usr/lib/python2.7/site-packages/ansiblelint/version.pyc
/usr/lib/python2.7/site-packages/ansiblelint/version.pyo
/usr/lib/python2.7/site-packages/ansiblelint/formatters/__init__.py
/usr/lib/python2.7/site-packages/ansiblelint/formatters/__init__.pyc
/usr/lib/python2.7/site-packages/ansiblelint/formatters/__init__.pyo
/usr/lib/python2.7/site-packages/ansiblelint/rules/CommandHasChangesCheckRule.py
/usr/lib/python2.7/site-packages/ansiblelint/rules/CommandHasChangesCheckRule.pyc
/usr/lib/python2.7/site-packages/ansiblelint/rules/CommandHasChangesCheckRule.pyo
/usr/lib/python2.7/site-packages/ansiblelint/rules/CommandsInsteadOfArgumentsRule.py
/usr/lib/python2.7/site-packages/ansiblelint/rules/CommandsInsteadOfArgumentsRule.pyc
/usr/lib/python2.7/site-packages/ansiblelint/rules/CommandsInsteadOfArgumentsRule.pyo
/usr/lib/python2.7/site-packages/ansiblelint/rules/CommandsInsteadOfModulesRule.py
/usr/lib/python2.7/site-packages/ansiblelint/rules/CommandsInsteadOfModulesRule.pyc
/usr/lib/python2.7/site-packages/ansiblelint/rules/CommandsInsteadOfModulesRule.pyo
/usr/lib/python2.7/site-packages/ansiblelint/rules/EnvVarsInCommandRule.py
/usr/lib/python2.7/site-packages/ansiblelint/rules/EnvVarsInCommandRule.pyc
/usr/lib/python2.7/site-packages/ansiblelint/rules/EnvVarsInCommandRule.pyo
/usr/lib/python2.7/site-packages/ansiblelint/rules/GitHasVersionRule.py
/usr/lib/python2.7/site-packages/ansiblelint/rules/GitHasVersionRule.pyc
/usr/lib/python2.7/site-packages/ansiblelint/rules/GitHasVersionRule.pyo
/usr/lib/python2.7/site-packages/ansiblelint/rules/MercurialHasRevisionRule.py
/usr/lib/python2.7/site-packages/ansiblelint/rules/MercurialHasRevisionRule.pyc
/usr/lib/python2.7/site-packages/ansiblelint/rules/MercurialHasRevisionRule.pyo
/usr/lib/python2.7/site-packages/ansiblelint/rules/OctalPermissionsRule.py
/usr/lib/python2.7/site-packages/ansiblelint/rules/OctalPermissionsRule.pyc
/usr/lib/python2.7/site-packages/ansiblelint/rules/OctalPermissionsRule.pyo
/usr/lib/python2.7/site-packages/ansiblelint/rules/PackageIsNotLatestRule.py
/usr/lib/python2.7/site-packages/ansiblelint/rules/PackageIsNotLatestRule.pyc
/usr/lib/python2.7/site-packages/ansiblelint/rules/PackageIsNotLatestRule.pyo
/usr/lib/python2.7/site-packages/ansiblelint/rules/SudoRule.py
/usr/lib/python2.7/site-packages/ansiblelint/rules/SudoRule.pyc
/usr/lib/python2.7/site-packages/ansiblelint/rules/SudoRule.pyo
/usr/lib/python2.7/site-packages/ansiblelint/rules/TaskHasNameRule.py
/usr/lib/python2.7/site-packages/ansiblelint/rules/TaskHasNameRule.pyc
/usr/lib/python2.7/site-packages/ansiblelint/rules/TaskHasNameRule.pyo
/usr/lib/python2.7/site-packages/ansiblelint/rules/TrailingWhitespaceRule.py
/usr/lib/python2.7/site-packages/ansiblelint/rules/TrailingWhitespaceRule.pyc
/usr/lib/python2.7/site-packages/ansiblelint/rules/TrailingWhitespaceRule.pyo
/usr/lib/python2.7/site-packages/ansiblelint/rules/UseCommandInsteadOfShellRule.py
/usr/lib/python2.7/site-packages/ansiblelint/rules/UseCommandInsteadOfShellRule.pyc
/usr/lib/python2.7/site-packages/ansiblelint/rules/UseCommandInsteadOfShellRule.pyo
/usr/lib/python2.7/site-packages/ansiblelint/rules/UsingBareVariablesIsDeprecatedRule.py
/usr/lib/python2.7/site-packages/ansiblelint/rules/UsingBareVariablesIsDeprecatedRule.pyc
/usr/lib/python2.7/site-packages/ansiblelint/rules/UsingBareVariablesIsDeprecatedRule.pyo
/usr/lib/python2.7/site-packages/ansiblelint/rules/__init__.py
/usr/lib/python2.7/site-packages/ansiblelint/rules/__init__.pyc
/usr/lib/python2.7/site-packages/ansiblelint/rules/__init__.pyo
/usr/share/doc/ansible-lint/README.md
/usr/share/licenses/ansible-lint/LICENSE

Changelog

2016-09-30 - Parag Nemade <pnemade AT redhat DOT com> - 3.3.3-1
- Update to 3.3.3
2016-09-30 - Parag Nemade <pnemade AT redhat DOT com> - 3.3.2-1
- Update to 3.3.2
2016-07-28 - Parag Nemade <pnemade AT redhat DOT com> - 3.2.5-1
- Update to 3.2.5
2016-07-28 - Parag Nemade <pnemade AT redhat DOT com> - 3.2.4-1
- Update to 3.2.4
2016-07-27 - Parag Nemade <pnemade AT redhat DOT com> - 3.2.1-1
- Upstream release 3.2.1
2016-07-19 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages
2016-07-18 - Parag Nemade <pnemade AT redhat DOT com> - 3.2.0-1
- Upstream release 3.2.0
2016-07-15 - Parag Nemade <pnemade AT redhat DOT com> - 3.1.3-1
- Upstream release 3.1.3
2016-07-07 - Parag Nemade <pnemade AT redhat DOT com> - 3.1.2-1
- Upstream release 3.1.2
2016-06-30 - Parag Nemade <pnemade AT redhat DOT com> - 3.1.1-1
- Upstream release 3.1.1

See Also

Package Description
ansible-openstack-modules-0-20140904git79d751a.fc24.noarch.rpm Unofficial Ansible modules for managing Openstack
ansible-review-0.10.1-1.fc25.noarch.rpm Reviews Ansible playbooks, roles and inventory and suggests improvements
ansifilter-2.2-1.fc25.i686.rpm ANSI terminal escape code converter
ansifilter-gui-2.2-1.fc25.i686.rpm GUI for ansifilter based on Qt4
ant-1.9.6-3.fc24.noarch.rpm Java build tool
ant-antlr-1.9.6-3.fc24.noarch.rpm Optional antlr tasks for ant
ant-antunit-1.3-4.fc24.noarch.rpm Provide antunit ant task
ant-antunit-javadoc-1.3-4.fc24.noarch.rpm Javadoc for ant-antunit
ant-apache-bcel-1.9.6-3.fc24.noarch.rpm Optional apache bcel tasks for ant
ant-apache-bsf-1.9.6-3.fc24.noarch.rpm Optional apache bsf tasks for ant
ant-apache-log4j-1.9.6-3.fc24.noarch.rpm Optional apache log4j tasks for ant
ant-apache-oro-1.9.6-3.fc24.noarch.rpm Optional apache oro tasks for ant
ant-apache-regexp-1.9.6-3.fc24.noarch.rpm Optional apache regexp tasks for ant
ant-apache-resolver-1.9.6-3.fc24.noarch.rpm Optional apache resolver tasks for ant
ant-apache-xalan2-1.9.6-3.fc24.noarch.rpm Optional apache xalan2 tasks for ant
Advertisement
Advertisement